com.microsoft.sqlserver.jdbc

## Class SQLServerCallableStatement

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerStatement
  - - com.microsoft.sqlserver.jdbc.SQLServerPreparedStatement
    - - com.microsoft.sqlserver.jdbc.SQLServerCallableStatement

All Implemented Interfaces:
  ISQLServerCallableStatement, ISQLServerPreparedStatement, ISQLServerStatement, AutoCloseable, CallableStatement, PreparedStatement, Statement, Wrapper

Direct Known Subclasses:
  SQLServerCallableStatement42

    public class SQLServerCallableStatement
    extends SQLServerPreparedStatement
    implements ISQLServerCallableStatement

CallableStatement implements JDBC callable statements. CallableStatement allows the caller to specify the procedure name to call along with input parameter value and output parameter types. Callable statement also allows the return of a return status with the ? = call( ?, ..) JDBC syntax
The API javadoc for JDBC API methods that this class implements are not repeated here. Please see Sun's JDBC API interfaces javadoc for those details.

### Field Summary

### Fields inherited from class com.microsoft.sqlserver.jdbc.SQLServerStatement

`stmtColumnEncriptionSetting`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Array` `getArray(int i)`
`Array` `getArray(String sCol)`
`InputStream` `getAsciiStream(int paramIndex)`
`InputStream` `getAsciiStream(String paramName)`
`BigDecimal` `getBigDecimal(int index)`
`BigDecimal` `getBigDecimal(int parameterIndex, int scale)` Deprecated.
`BigDecimal` `getBigDecimal(String sCol)`
`BigDecimal` `getBigDecimal(String parameterName, int scale)` Deprecated.
`InputStream` `getBinaryStream(int paramIndex)`
`InputStream` `getBinaryStream(String paramName)`
`Blob` `getBlob(int index)`
`Blob` `getBlob(String sCol)`
`boolean` `getBoolean(int index)`
`boolean` `getBoolean(String sCol)`
`byte` `getByte(int index)`
`byte` `getByte(String sCol)`
`byte[]` `getBytes(int index)`
`byte[]` `getBytes(String sCol)`
`Reader` `getCharacterStream(int paramIndex)`
`Reader` `getCharacterStream(String parameterName)`
`Clob` `getClob(int index)`
`Clob` `getClob(String sCol)`
`Date` `getDate(int index)`
`Date` `getDate(int index, Calendar cal)`
`Date` `getDate(String sCol)`
`Date` `getDate(String sCol, Calendar cal)`
`Timestamp` `getDateTime(int index)`
`Timestamp` `getDateTime(int index, Calendar cal)`
`Timestamp` `getDateTime(String sCol)`
`Timestamp` `getDateTime(String name, Calendar cal)`
`DateTimeOffset` `getDateTimeOffset(int index)`
`DateTimeOffset` `getDateTimeOffset(String sCol)`
`double` `getDouble(int index)`
`double` `getDouble(String sCol)`
`float` `getFloat(int index)`
`float` `getFloat(String sCol)`
`int` `getInt(int index)`
`int` `getInt(String sCol)`
`long` `getLong(int index)`
`long` `getLong(String sCol)`
`BigDecimal` `getMoney(int index)`
`BigDecimal` `getMoney(String sCol)`
`Reader` `getNCharacterStream(int parameterIndex)`
`Reader` `getNCharacterStream(String parameterName)`
`NClob` `getNClob(int parameterIndex)`
`NClob` `getNClob(String parameterName)`
`String` `getNString(int parameterIndex)`
`String` `getNString(String parameterName)`
`Object` `getObject(int index)`
`<T> T` `getObject(int index, Class<T> type)`
`Object` `getObject(int index, Map<String,Class<?>> map)`
`Object` `getObject(String sCol)`
`<T> T` `getObject(String sCol, Class<T> type)`
`Object` `getObject(String sCol, Map<String,Class<?>> m)`
`Ref` `getRef(int i)`
`Ref` `getRef(String sCol)`
`RowId` `getRowId(int parameterIndex)`
`RowId` `getRowId(String parameterName)`
`short` `getShort(int index)`
`short` `getShort(String sCol)`
`Timestamp` `getSmallDateTime(int index)`
`Timestamp` `getSmallDateTime(int index, Calendar cal)`
`Timestamp` `getSmallDateTime(String sCol)`
`Timestamp` `getSmallDateTime(String name, Calendar cal)`
`BigDecimal` `getSmallMoney(int index)`
`BigDecimal` `getSmallMoney(String sCol)`
`SQLXML` `getSQLXML(int parameterIndex)`
`SQLXML` `getSQLXML(String parameterName)`
`String` `getString(int index)`
`String` `getString(String sCol)`
`Time` `getTime(int index)`
`Time` `getTime(int index, Calendar cal)`
`Time` `getTime(String sCol)`
`Time` `getTime(String sCol, Calendar cal)`
`Timestamp` `getTimestamp(int index)`
`Timestamp` `getTimestamp(int index, Calendar cal)`
`Timestamp` `getTimestamp(String sCol)`
`Timestamp` `getTimestamp(String name, Calendar cal)`
`URL` `getURL(int n)`
`URL` `getURL(String s)`
`void` `registerOutParameter(int index, int sqlType)`
`void` `registerOutParameter(int index, int sqlType, int scale)`
`void` `registerOutParameter(int index, int sqlType, int precision, int scale)`
`void` `registerOutParameter(int index, int sqlType, String typeName)`
`void` `registerOutParameter(String s, int n)`
`void` `registerOutParameter(String parameterName, int sqlType, int scale)`
`void` `registerOutParameter(String parameterName, int sqlType, int precision, int scale)`
`void` `registerOutParameter(String s, int n, String s1)`
`void` `setAsciiStream(String parameterName, InputStream x)`
`void` `setAsciiStream(String parameterName, InputStream value, int length)`
`void` `setAsciiStream(String parameterName, InputStream x, long length)`
`void` `setBigDecimal(String sCol, BigDecimal bd)`
`void` `setBigDecimal(String sCol, BigDecimal bd, int precision, int scale)`
`void` `setBigDecimal(String sCol, BigDecimal bd, int precision, int scale, boolean forceEncrypt)`
`void` `setBinaryStream(String parameterName, InputStream x)`
`void` `setBinaryStream(String parameterName, InputStream value, int length)`
`void` `setBinaryStream(String parameterName, InputStream x, long length)`
`void` `setBlob(String parameterName, Blob inputStream)`
`void` `setBlob(String parameterName, InputStream value)`
`void` `setBlob(String parameterName, InputStream inputStream, long length)`
`void` `setBoolean(String sCol, boolean b)`
`void` `setBoolean(String sCol, boolean b, boolean forceEncrypt)`
`void` `setByte(String sCol, byte b)`
`void` `setByte(String sCol, byte b, boolean forceEncrypt)`
`void` `setBytes(String sCol, byte[] b)`
`void` `setBytes(String sCol, byte[] b, boolean forceEncrypt)`
`void` `setCharacterStream(String parameterName, Reader reader)`
`void` `setCharacterStream(String parameterName, Reader value, int length)`
`void` `setCharacterStream(String parameterName, Reader reader, long length)`
`void` `setClob(String parameterName, Clob x)`
`void` `setClob(String parameterName, Reader reader)`
`void` `setClob(String parameterName, Reader value, long length)`
`void` `setDate(String sCol, Date d)`
`void` `setDate(String sCol, Date x, Calendar c)`
`void` `setDate(String sCol, Date x, Calendar c, boolean forceEncrypt)`
`void` `setDateTime(String sCol, Timestamp x)`
`void` `setDateTime(String sCol, Timestamp x, boolean forceEncrypt)`
`void` `setDateTimeOffset(String sCol, DateTimeOffset t)`
`void` `setDateTimeOffset(String sCol, DateTimeOffset t, int scale)`
`void` `setDateTimeOffset(String sCol, DateTimeOffset t, int scale, boolean forceEncrypt)`
`void` `setDouble(String sCol, double d)`
`void` `setDouble(String sCol, double d, boolean forceEncrypt)`
`void` `setFloat(String sCol, float f)`
`void` `setFloat(String sCol, float f, boolean forceEncrypt)`
`void` `setInt(String sCol, int i)`
`void` `setInt(String sCol, int i, boolean forceEncrypt)`
`void` `setLong(String sCol, long l)`
`void` `setLong(String sCol, long l, boolean forceEncrypt)`
`void` `setMoney(String sCol, BigDecimal bd)`
`void` `setMoney(String sCol, BigDecimal bd, boolean forceEncrypt)`
`void` `setNCharacterStream(String parameterName, Reader value)`
`void` `setNCharacterStream(String parameterName, Reader value, long length)`
`void` `setNClob(String parameterName, NClob value)`
`void` `setNClob(String parameterName, Reader reader)`
`void` `setNClob(String parameterName, Reader reader, long length)`
`void` `setNString(String parameterName, String value)`
`void` `setNString(String parameterName, String value, boolean forceEncrypt)`
`void` `setNull(String sCol, int nType)`
`void` `setNull(String sCol, int nType, String sTypeName)`
`void` `setObject(String sCol, Object o)`
`void` `setObject(String sCol, Object o, int n)`
`void` `setObject(String sCol, Object o, int n, int m)`
`void` `setObject(String sCol, Object o, int n, int m, boolean forceEncrypt)`
`void` `setObject(String sCol, Object x, int targetSqlType, Integer precision, int scale)`
`void` `setRowId(String parameterName, RowId x)`
`void` `setShort(String sCol, short s)`
`void` `setShort(String sCol, short s, boolean forceEncrypt)`
`void` `setSmallDateTime(String sCol, Timestamp x)`
`void` `setSmallDateTime(String sCol, Timestamp x, boolean forceEncrypt)`
`void` `setSmallMoney(String sCol, BigDecimal bd)`
`void` `setSmallMoney(String sCol, BigDecimal bd, boolean forceEncrypt)`
`void` `setSQLXML(String parameterName, SQLXML xmlObject)`
`void` `setString(String sCol, String s)`
`void` `setString(String sCol, String s, boolean forceEncrypt)`
`void` `setStructured(String sCol, String tvpName, ISQLServerDataRecord tvpDataRecord)`
`void` `setStructured(String sCol, String tvpName, ResultSet tvpResultSet)`
`void` `setStructured(String sCol, String tvpName, SQLServerDataTable tvpDataTable)`
`void` `setTime(String sCol, Time t)`
`void` `setTime(String sCol, Time x, Calendar c)`
`void` `setTime(String sCol, Time x, Calendar c, boolean forceEncrypt)`
`void` `setTime(String sCol, Time t, int scale)`
`void` `setTime(String sCol, Time t, int scale, boolean forceEncrypt)`
`void` `setTimestamp(String sCol, Timestamp t)`
`void` `setTimestamp(String sCol, Timestamp x, Calendar c)`
`void` `setTimestamp(String sCol, Timestamp x, Calendar c, boolean forceEncrypt)`
`void` `setTimestamp(String sCol, Timestamp t, int scale)`
`void` `setTimestamp(String sCol, Timestamp t, int scale, boolean forceEncrypt)`
`void` `setUniqueIdentifier(String sCol, String guid)`
`void` `setUniqueIdentifier(String sCol, String guid, boolean forceEncrypt)`
`void` `setURL(String sCol, URL u)`
`boolean` `wasNull()`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerPreparedStatement

`addBatch, addBatch, clearBatch, clearParameters, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeQuery, executeQuery, executeUpdate, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBigDecimal, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDate, setDateTime, setDateTime, setDateTimeOffset, setDateTimeOffset, setDateTimeOffset, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLong, setLong, setMoney, setMoney, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setShort, setSmallDateTime, setSmallDateTime, setSmallMoney, setSmallMoney, setSQLXML, setString, setString, setStructured, setStructured, setStructured, setTime, setTime, setTime, setTime, setTime, setTimestamp, setTimestamp, setTimestamp, setTimestamp, setTimestamp, setUnicodeStream, setUniqueIdentifier, setUniqueIdentifier, setURL`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerStatement

`cancel, clearWarnings, close, closeOnCompletion, execute, execute, execute, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResponseBuffering, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, setResponseBuffering, toString, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.CallableStatement

`registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setObject, setObject`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerPreparedStatement

`setDateTimeOffset`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerStatement

`getResponseBuffering, setResponseBuffering`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType,
                                     String typeName)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType,
                                     int scale)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType,
                                     int precision,
                                     int scale)
                              throws SQLServerException

Throws:
  `SQLServerException`

#### getInt

    public int getInt(int index)
               throws SQLServerException

Specified by:
  `getInt` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getInt

    public int getInt(String sCol)
               throws SQLServerException

Specified by:
  `getInt` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getString

    public String getString(int index)
                     throws SQLServerException

Specified by:
  `getString` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getString

    public String getString(String sCol)
                     throws SQLServerException

Specified by:
  `getString` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getNString

    public final String getNString(int parameterIndex)
                            throws SQLException

Specified by:
  `getNString` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNString

    public final String getNString(String parameterName)
                            throws SQLException

Specified by:
  `getNString` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBigDecimal

    @Deprecated
    public BigDecimal getBigDecimal(int parameterIndex,
                                                 int scale)
                                          throws SQLException

Deprecated.

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBigDecimal

    @Deprecated
    public BigDecimal getBigDecimal(String parameterName,
                                                 int scale)
                                          throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(int index)
                       throws SQLServerException

Specified by:
  `getBoolean` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getBoolean

    public boolean getBoolean(String sCol)
                       throws SQLServerException

Specified by:
  `getBoolean` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getByte

    public byte getByte(int index)
                 throws SQLServerException

Specified by:
  `getByte` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getByte

    public byte getByte(String sCol)
                 throws SQLServerException

Specified by:
  `getByte` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getBytes

    public byte[] getBytes(int index)
                    throws SQLServerException

Specified by:
  `getBytes` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getBytes

    public byte[] getBytes(String sCol)
                    throws SQLServerException

Specified by:
  `getBytes` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getDate

    public Date getDate(int index)
                 throws SQLServerException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getDate

    public Date getDate(String sCol)
                 throws SQLServerException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getDate

    public Date getDate(int index,
                        Calendar cal)
                 throws SQLServerException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getDate

    public Date getDate(String sCol,
                        Calendar cal)
                 throws SQLServerException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getDouble

    public double getDouble(int index)
                     throws SQLServerException

Specified by:
  `getDouble` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getDouble

    public double getDouble(String sCol)
                     throws SQLServerException

Specified by:
  `getDouble` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getFloat

    public float getFloat(int index)
                   throws SQLServerException

Specified by:
  `getFloat` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getFloat

    public float getFloat(String sCol)
                   throws SQLServerException

Specified by:
  `getFloat` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getLong

    public long getLong(int index)
                 throws SQLServerException

Specified by:
  `getLong` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getLong

    public long getLong(String sCol)
                 throws SQLServerException

Specified by:
  `getLong` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getObject

    public Object getObject(int index)
                     throws SQLServerException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getObject

    public <T> T getObject(int index,
                           Class<T> type)
                    throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String sCol)
                     throws SQLServerException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getObject

    public <T> T getObject(String sCol,
                           Class<T> type)
                    throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getShort

    public short getShort(int index)
                   throws SQLServerException

Specified by:
  `getShort` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getShort

    public short getShort(String sCol)
                   throws SQLServerException

Specified by:
  `getShort` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getTime

    public Time getTime(int index)
                 throws SQLServerException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getTime

    public Time getTime(String sCol)
                 throws SQLServerException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getTime

    public Time getTime(int index,
                        Calendar cal)
                 throws SQLServerException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getTime

    public Time getTime(String sCol,
                        Calendar cal)
                 throws SQLServerException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getTimestamp

    public Timestamp getTimestamp(int index)
                           throws SQLServerException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getTimestamp

    public Timestamp getTimestamp(String sCol)
                           throws SQLServerException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getTimestamp

    public Timestamp getTimestamp(int index,
                                  Calendar cal)
                           throws SQLServerException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getTimestamp

    public Timestamp getTimestamp(String name,
                                  Calendar cal)
                           throws SQLServerException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getDateTime

    public Timestamp getDateTime(int index)
                          throws SQLServerException

Throws:
  `SQLServerException`

#### getDateTime

    public Timestamp getDateTime(String sCol)
                          throws SQLServerException

Throws:
  `SQLServerException`

#### getDateTime

    public Timestamp getDateTime(int index,
                                 Calendar cal)
                          throws SQLServerException

Throws:
  `SQLServerException`

#### getDateTime

    public Timestamp getDateTime(String name,
                                 Calendar cal)
                          throws SQLServerException

Throws:
  `SQLServerException`

#### getSmallDateTime

    public Timestamp getSmallDateTime(int index)
                               throws SQLServerException

Throws:
  `SQLServerException`

#### getSmallDateTime

    public Timestamp getSmallDateTime(String sCol)
                               throws SQLServerException

Throws:
  `SQLServerException`

#### getSmallDateTime

    public Timestamp getSmallDateTime(int index,
                                      Calendar cal)
                               throws SQLServerException

Throws:
  `SQLServerException`

#### getSmallDateTime

    public Timestamp getSmallDateTime(String name,
                                      Calendar cal)
                               throws SQLServerException

Throws:
  `SQLServerException`

#### getDateTimeOffset

    public DateTimeOffset getDateTimeOffset(int index)
                                     throws SQLException

Specified by:
  `getDateTimeOffset` in interface `ISQLServerCallableStatement`
Throws:
  `SQLException`

#### getDateTimeOffset

    public DateTimeOffset getDateTimeOffset(String sCol)
                                     throws SQLException

Specified by:
  `getDateTimeOffset` in interface `ISQLServerCallableStatement`
Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()
                    throws SQLServerException

Specified by:
  `wasNull` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getAsciiStream

    public final InputStream getAsciiStream(int paramIndex)
                                     throws SQLServerException

Throws:
  `SQLServerException`

#### getAsciiStream

    public final InputStream getAsciiStream(String paramName)
                                     throws SQLServerException

Throws:
  `SQLServerException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int index)
                             throws SQLServerException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getBigDecimal

    public BigDecimal getBigDecimal(String sCol)
                             throws SQLServerException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getMoney

    public BigDecimal getMoney(int index)
                        throws SQLServerException

Throws:
  `SQLServerException`

#### getMoney

    public BigDecimal getMoney(String sCol)
                        throws SQLServerException

Throws:
  `SQLServerException`

#### getSmallMoney

    public BigDecimal getSmallMoney(int index)
                             throws SQLServerException

Throws:
  `SQLServerException`

#### getSmallMoney

    public BigDecimal getSmallMoney(String sCol)
                             throws SQLServerException

Throws:
  `SQLServerException`

#### getBinaryStream

    public final InputStream getBinaryStream(int paramIndex)
                                      throws SQLServerException

Throws:
  `SQLServerException`

#### getBinaryStream

    public final InputStream getBinaryStream(String paramName)
                                      throws SQLServerException

Throws:
  `SQLServerException`

#### getBlob

    public Blob getBlob(int index)
                 throws SQLServerException

Specified by:
  `getBlob` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getBlob

    public Blob getBlob(String sCol)
                 throws SQLServerException

Specified by:
  `getBlob` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getCharacterStream

    public final Reader getCharacterStream(int paramIndex)
                                    throws SQLServerException

Specified by:
  `getCharacterStream` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getCharacterStream

    public final Reader getCharacterStream(String parameterName)
                                    throws SQLException

Specified by:
  `getCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNCharacterStream

    public final Reader getNCharacterStream(int parameterIndex)
                                     throws SQLException

Specified by:
  `getNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNCharacterStream

    public final Reader getNCharacterStream(String parameterName)
                                     throws SQLException

Specified by:
  `getNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### getClob

    public Clob getClob(int index)
                 throws SQLServerException

Specified by:
  `getClob` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getClob

    public Clob getClob(String sCol)
                 throws SQLServerException

Specified by:
  `getClob` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getNClob

    public NClob getNClob(int parameterIndex)
                   throws SQLException

Specified by:
  `getNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(String parameterName)
                   throws SQLException

Specified by:
  `getNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int index,
                            Map<String,Class<?>> map)
                     throws SQLServerException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getObject

    public Object getObject(String sCol,
                            Map<String,Class<?>> m)
                     throws SQLServerException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getRef

    public Ref getRef(int i)
               throws SQLServerException

Specified by:
  `getRef` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getRef

    public Ref getRef(String sCol)
               throws SQLServerException

Specified by:
  `getRef` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getArray

    public Array getArray(int i)
                   throws SQLServerException

Specified by:
  `getArray` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getArray

    public Array getArray(String sCol)
                   throws SQLServerException

Specified by:
  `getArray` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setTimestamp

    public void setTimestamp(String sCol,
                             Timestamp x,
                             Calendar c)
                      throws SQLServerException

Specified by:
  `setTimestamp` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setTimestamp

    public void setTimestamp(String sCol,
                             Timestamp x,
                             Calendar c,
                             boolean forceEncrypt)
                      throws SQLServerException

Throws:
  `SQLServerException`

#### setTime

    public void setTime(String sCol,
                        Time x,
                        Calendar c)
                 throws SQLServerException

Specified by:
  `setTime` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setTime

    public void setTime(String sCol,
                        Time x,
                        Calendar c,
                        boolean forceEncrypt)
                 throws SQLServerException

Throws:
  `SQLServerException`

#### setDate

    public void setDate(String sCol,
                        Date x,
                        Calendar c)
                 throws SQLServerException

Specified by:
  `setDate` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setDate

    public void setDate(String sCol,
                        Date x,
                        Calendar c,
                        boolean forceEncrypt)
                 throws SQLServerException

Throws:
  `SQLServerException`

#### setCharacterStream

    public final void setCharacterStream(String parameterName,
                                         Reader reader)
                                  throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public final void setCharacterStream(String parameterName,
                                         Reader value,
                                         int length)
                                  throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public final void setCharacterStream(String parameterName,
                                         Reader reader,
                                         long length)
                                  throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public final void setNCharacterStream(String parameterName,
                                          Reader value)
                                   throws SQLException

Specified by:
  `setNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public final void setNCharacterStream(String parameterName,
                                          Reader value,
                                          long length)
                                   throws SQLException

Specified by:
  `setNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setClob

    public final void setClob(String parameterName,
                              Clob x)
                       throws SQLException

Specified by:
  `setClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setClob

    public final void setClob(String parameterName,
                              Reader reader)
                       throws SQLException

Specified by:
  `setClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setClob

    public final void setClob(String parameterName,
                              Reader value,
                              long length)
                       throws SQLException

Specified by:
  `setClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNClob

    public final void setNClob(String parameterName,
                               NClob value)
                        throws SQLException

Specified by:
  `setNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNClob

    public final void setNClob(String parameterName,
                               Reader reader)
                        throws SQLException

Specified by:
  `setNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNClob

    public final void setNClob(String parameterName,
                               Reader reader,
                               long length)
                        throws SQLException

Specified by:
  `setNClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNString

    public final void setNString(String parameterName,
                                 String value)
                          throws SQLException

Specified by:
  `setNString` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNString

    public final void setNString(String parameterName,
                                 String value,
                                 boolean forceEncrypt)
                          throws SQLException

Throws:
  `SQLException`

#### setObject

    public void setObject(String sCol,
                          Object o)
                   throws SQLServerException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    public void setObject(String sCol,
                          Object o,
                          int n)
                   throws SQLServerException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    public void setObject(String sCol,
                          Object o,
                          int n,
                          int m)
                   throws SQLServerException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    public void setObject(String sCol,
                          Object o,
                          int n,
                          int m,
                          boolean forceEncrypt)
                   throws SQLServerException

Throws:
  `SQLServerException`

#### setObject

    public final void setObject(String sCol,
                                Object x,
                                int targetSqlType,
                                Integer precision,
                                int scale)
                         throws SQLServerException

Throws:
  `SQLServerException`

#### setAsciiStream

    public final void setAsciiStream(String parameterName,
                                     InputStream x)
                              throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public final void setAsciiStream(String parameterName,
                                     InputStream value,
                                     int length)
                              throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public final void setAsciiStream(String parameterName,
                                     InputStream x,
                                     long length)
                              throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public final void setBinaryStream(String parameterName,
                                      InputStream x)
                               throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public final void setBinaryStream(String parameterName,
                                      InputStream value,
                                      int length)
                               throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public final void setBinaryStream(String parameterName,
                                      InputStream x,
                                      long length)
                               throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBlob

    public final void setBlob(String parameterName,
                              Blob inputStream)
                       throws SQLException

Specified by:
  `setBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBlob

    public final void setBlob(String parameterName,
                              InputStream value)
                       throws SQLException

Specified by:
  `setBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBlob

    public final void setBlob(String parameterName,
                              InputStream inputStream,
                              long length)
                       throws SQLException

Specified by:
  `setBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(String sCol,
                             Timestamp t)
                      throws SQLServerException

Specified by:
  `setTimestamp` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setTimestamp

    public void setTimestamp(String sCol,
                             Timestamp t,
                             int scale)
                      throws SQLServerException

Throws:
  `SQLServerException`

#### setTimestamp

    public void setTimestamp(String sCol,
                             Timestamp t,
                             int scale,
                             boolean forceEncrypt)
                      throws SQLServerException

Throws:
  `SQLServerException`

#### setDateTimeOffset

    public void setDateTimeOffset(String sCol,
                                  DateTimeOffset t)
                           throws SQLException

Specified by:
  `setDateTimeOffset` in interface `ISQLServerCallableStatement`
Throws:
  `SQLException`

#### setDateTimeOffset

    public void setDateTimeOffset(String sCol,
                                  DateTimeOffset t,
                                  int scale)
                           throws SQLException

Throws:
  `SQLException`

#### setDateTimeOffset

    public void setDateTimeOffset(String sCol,
                                  DateTimeOffset t,
                                  int scale,
                                  boolean forceEncrypt)
                           throws SQLException

Throws:
  `SQLException`

#### setDate

    public void setDate(String sCol,
                        Date d)
                 throws SQLServerException

Specified by:
  `setDate` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setTime

    public void setTime(String sCol,
                        Time t)
                 throws SQLServerException

Specified by:
  `setTime` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setTime

    public void setTime(String sCol,
                        Time t,
                        int scale)
                 throws SQLServerException

Throws:
  `SQLServerException`

#### setTime

    public void setTime(String sCol,
                        Time t,
                        int scale,
                        boolean forceEncrypt)
                 throws SQLServerException

Throws:
  `SQLServerException`

#### setDateTime

    public void setDateTime(String sCol,
                            Timestamp x)
                     throws SQLServerException

Throws:
  `SQLServerException`

#### setDateTime

    public void setDateTime(String sCol,
                            Timestamp x,
                            boolean forceEncrypt)
                     throws SQLServerException

Throws:
  `SQLServerException`

#### setSmallDateTime

    public void setSmallDateTime(String sCol,
                                 Timestamp x)
                          throws SQLServerException

Throws:
  `SQLServerException`

#### setSmallDateTime

    public void setSmallDateTime(String sCol,
                                 Timestamp x,
                                 boolean forceEncrypt)
                          throws SQLServerException

Throws:
  `SQLServerException`

#### setUniqueIdentifier

    public void setUniqueIdentifier(String sCol,
                                    String guid)
                             throws SQLServerException

Throws:
  `SQLServerException`

#### setUniqueIdentifier

    public void setUniqueIdentifier(String sCol,
                                    String guid,
                                    boolean forceEncrypt)
                             throws SQLServerException

Throws:
  `SQLServerException`

#### setBytes

    public void setBytes(String sCol,
                         byte[] b)
                  throws SQLServerException

Specified by:
  `setBytes` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setBytes

    public void setBytes(String sCol,
                         byte[] b,
                         boolean forceEncrypt)
                  throws SQLServerException

Throws:
  `SQLServerException`

#### setByte

    public void setByte(String sCol,
                        byte b)
                 throws SQLServerException

Specified by:
  `setByte` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setByte

    public void setByte(String sCol,
                        byte b,
                        boolean forceEncrypt)
                 throws SQLServerException

Throws:
  `SQLServerException`

#### setString

    public void setString(String sCol,
                          String s)
                   throws SQLServerException

Specified by:
  `setString` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setString

    public void setString(String sCol,
                          String s,
                          boolean forceEncrypt)
                   throws SQLServerException

Throws:
  `SQLServerException`

#### setMoney

    public void setMoney(String sCol,
                         BigDecimal bd)
                  throws SQLServerException

Throws:
  `SQLServerException`

#### setMoney

    public void setMoney(String sCol,
                         BigDecimal bd,
                         boolean forceEncrypt)
                  throws SQLServerException

Throws:
  `SQLServerException`

#### setSmallMoney

    public void setSmallMoney(String sCol,
                              BigDecimal bd)
                       throws SQLServerException

Throws:
  `SQLServerException`

#### setSmallMoney

    public void setSmallMoney(String sCol,
                              BigDecimal bd,
                              boolean forceEncrypt)
                       throws SQLServerException

Throws:
  `SQLServerException`

#### setBigDecimal

    public void setBigDecimal(String sCol,
                              BigDecimal bd)
                       throws SQLServerException

Specified by:
  `setBigDecimal` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setBigDecimal

    public void setBigDecimal(String sCol,
                              BigDecimal bd,
                              int precision,
                              int scale)
                       throws SQLServerException

Throws:
  `SQLServerException`

#### setBigDecimal

    public void setBigDecimal(String sCol,
                              BigDecimal bd,
                              int precision,
                              int scale,
                              boolean forceEncrypt)
                       throws SQLServerException

Throws:
  `SQLServerException`

#### setDouble

    public void setDouble(String sCol,
                          double d)
                   throws SQLServerException

Specified by:
  `setDouble` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setDouble

    public void setDouble(String sCol,
                          double d,
                          boolean forceEncrypt)
                   throws SQLServerException

Throws:
  `SQLServerException`

#### setFloat

    public void setFloat(String sCol,
                         float f)
                  throws SQLServerException

Specified by:
  `setFloat` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setFloat

    public void setFloat(String sCol,
                         float f,
                         boolean forceEncrypt)
                  throws SQLServerException

Throws:
  `SQLServerException`

#### setInt

    public void setInt(String sCol,
                       int i)
                throws SQLServerException

Specified by:
  `setInt` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setInt

    public void setInt(String sCol,
                       int i,
                       boolean forceEncrypt)
                throws SQLServerException

Throws:
  `SQLServerException`

#### setLong

    public void setLong(String sCol,
                        long l)
                 throws SQLServerException

Specified by:
  `setLong` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setLong

    public void setLong(String sCol,
                        long l,
                        boolean forceEncrypt)
                 throws SQLServerException

Throws:
  `SQLServerException`

#### setShort

    public void setShort(String sCol,
                         short s)
                  throws SQLServerException

Specified by:
  `setShort` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setShort

    public void setShort(String sCol,
                         short s,
                         boolean forceEncrypt)
                  throws SQLServerException

Throws:
  `SQLServerException`

#### setBoolean

    public void setBoolean(String sCol,
                           boolean b)
                    throws SQLServerException

Specified by:
  `setBoolean` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setBoolean

    public void setBoolean(String sCol,
                           boolean b,
                           boolean forceEncrypt)
                    throws SQLServerException

Throws:
  `SQLServerException`

#### setNull

    public void setNull(String sCol,
                        int nType)
                 throws SQLServerException

Specified by:
  `setNull` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setNull

    public void setNull(String sCol,
                        int nType,
                        String sTypeName)
                 throws SQLServerException

Specified by:
  `setNull` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setURL

    public void setURL(String sCol,
                       URL u)
                throws SQLServerException

Specified by:
  `setURL` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setStructured

    public final void setStructured(String sCol,
                                    String tvpName,
                                    SQLServerDataTable tvpDataTable)
                             throws SQLServerException

Throws:
  `SQLServerException`

#### setStructured

    public final void setStructured(String sCol,
                                    String tvpName,
                                    ResultSet tvpResultSet)
                             throws SQLServerException

Throws:
  `SQLServerException`

#### setStructured

    public final void setStructured(String sCol,
                                    String tvpName,
                                    ISQLServerDataRecord tvpDataRecord)
                             throws SQLServerException

Throws:
  `SQLServerException`

#### getURL

    public URL getURL(int n)
               throws SQLServerException

Specified by:
  `getURL` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### getURL

    public URL getURL(String s)
               throws SQLServerException

Specified by:
  `getURL` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setSQLXML

    public final void setSQLXML(String parameterName,
                                SQLXML xmlObject)
                         throws SQLException

Specified by:
  `setSQLXML` in interface `CallableStatement`
Throws:
  `SQLException`

#### getSQLXML

    public final SQLXML getSQLXML(int parameterIndex)
                           throws SQLException

Specified by:
  `getSQLXML` in interface `CallableStatement`
Throws:
  `SQLException`

#### getSQLXML

    public final SQLXML getSQLXML(String parameterName)
                           throws SQLException

Specified by:
  `getSQLXML` in interface `CallableStatement`
Throws:
  `SQLException`

#### setRowId

    public final void setRowId(String parameterName,
                               RowId x)
                        throws SQLException

Specified by:
  `setRowId` in interface `CallableStatement`
Throws:
  `SQLException`

#### getRowId

    public final RowId getRowId(int parameterIndex)
                         throws SQLException

Specified by:
  `getRowId` in interface `CallableStatement`
Throws:
  `SQLException`

#### getRowId

    public final RowId getRowId(String parameterName)
                         throws SQLException

Specified by:
  `getRowId` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(String s,
                                     int n,
                                     String s1)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     int sqlType,
                                     int scale)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                                     int sqlType,
                                     int precision,
                                     int scale)
                              throws SQLServerException

Throws:
  `SQLServerException`

#### registerOutParameter

    public void registerOutParameter(String s,
                                     int n)
                              throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`